<?php
/**
 * @version $Id: header.php 248 2008-05-23 10:40:56Z elkuku $
 * @package		prot_conf
 * @subpackage	
 * @author		EasyJoomla {@link http://www.easy-joomla.org Easy-Joomla.org}
 * @author		Jays.Soho {@link http://jays.survey-partner.com}
 * @author		Efthimios Mavrogeorgiadis
 * @author		Created on 25-Feb-2009
 */

// no direct access
defined( '_JEXEC' ) or die( ';)' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the prot_conf Component
 *
 * @package    prot_conf
 * @subpackage Views
 */

class prot_confViewrestore extends JView
{
	/**
	 * prot_confs view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		$model = $this->getModel("restore");
		$model->set_var();
		// distribute the variables
		$oldf = $model->oldf;
		
		
		// Create the object to hold the old configuration file info
	
		JToolBarHelper::title(   JText::_( 'Protect Configuration' ));
		JToolBarHelper::save( 'restore', JText::_('Restore') );
		JToolBarHelper::cancel( 'cancel', JText::_('Close') );

		// push data into the template
		$this->assignRef('oldf', $oldf);
		parent::display($tpl);
	}
}
